package com.shirodemo.controller;

import com.shirodemo.util.CommResponse;
import org.apache.shiro.authz.annotation.Logical;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.print.DocFlavor;

/**
 * 测试的Controller
 */
@RestController
public class TestController {

    // 用户管理-查询用户
    @GetMapping("/user/select")
    @RequiresRoles(value = {"userManager"})
    public CommResponse user_selectAll() {return CommResponse.build(200,"用户管理-查询用户");}

    // 用户管理-修改用户
    @GetMapping("/user/update")
    @RequiresRoles(value = {"userManager"})
    public CommResponse user_update() {return CommResponse.build(200,"用户管理-修改用户");}

    // 用户管理-删除用户
    @GetMapping("/user/delete")
    @RequiresRoles(value = {"userManager"})
    public CommResponse user_delete() {return CommResponse.build(200,"用户管理-删除用户");}

    // 用户管理-添加用户
    @GetMapping("/user/add")
    @RequiresRoles(value = {"userManager"})
    public CommResponse user_add() {return CommResponse.build(200,"用户管理-添加用户");}

    // 商品管理-查询商品
    @GetMapping("/product/select")
    @RequiresRoles(value = {"productManager"})
    public CommResponse product_selectAll() {return CommResponse.build(200,"商品管理-查询商品");}

    // 商品管理-修改商品
    @GetMapping("/product/update")
    @RequiresRoles(value = {"productManager"})
    public CommResponse product_update() {return CommResponse.build(200,"商品管理-修改商品");}

    // 商品管理-删除商品
    @GetMapping("/product/delete")
    @RequiresRoles(value = {"productManager"})
    public CommResponse product_delete() {return CommResponse.build(200,"商品管理-删除商品");}

    // 商品管理-添加商品
    @GetMapping("/product/add")
    @RequiresRoles(value = {"productManager"})
    public CommResponse product_add() {return CommResponse.build(200,"商品管理-添加商品");}

    // 库存管理-查询库存
    @GetMapping("/stock/select")
    @RequiresRoles(value = {"stockManager"})
    public CommResponse stock_selectAll() {return CommResponse.build(200,"库存管理-查询库存");}

    // 库存管理-修改库存
    @GetMapping("/stock/update")
    @RequiresRoles(value = {"stockManager"})
    public CommResponse stock_update() {return CommResponse.build(200,"库存管理-修改库存");}

    // 库存管理-删除库存
    @GetMapping("/stock/delete")
    @RequiresRoles(value = {"stockManager"})
    public CommResponse stock_delete() {return CommResponse.build(200,"库存管理-删除库存");}

    // 库存管理-添加库存
    @GetMapping("/stock/add")
    @RequiresRoles(value = {"stockManager"})
    public CommResponse stock_add() {return CommResponse.build(200,"库存管理-添加库存");}



}